Skip to content

Retrieve the patch for a Pipeline

GEThttps://api.neuroscale.io/v2.0/pipelines/{pipeline-id}/patch

Path parameters

Name Type Description
pipeline-id String Unique identifier of the Pipeline.

The patch for a Pipeline represents a JSON-encoded directed acyclic graph (DAG) that defines the processing nodes, their inputs and outputs, their parameters, and their inter-dependencies (i.e. edges). In essence, it is a runtime-agnostic workflow definition that describes the flow of data in a Pipeline. They can be exchanged freely amongst systems, platforms and frameworks that can parse and understand the 'patch' format.

Authentication

Type: Access token
Required scopes: pipeline or read:pipeline

Responses

Example response — 200

{
    "nodes": {
        "importer": {
            "params": {
                "cloud_bucket": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_account": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_credentials": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_host": {
                    "type": "EnumPort",
                    "customized": false,
                    "value": "Default"
                },
                "filename": {
                    "type": "StringPort",
                    "customized": true,
                    "value": ""
                }
            },
            "class": "ImportSET",
            "module": "neuropype.nodes.fileio"
        },
        "exporter": {
            "params": {
                "cloud_bucket": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_account": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_credentials": {
                    "type": "StringPort",
                    "customized": false,
                    "value": ""
                },
                "cloud_host": {
                    "type": "EnumPort",
                    "customized": false,
                    "value": "Default"
                },
                "filename": {
                    "type": "StringPort",
                    "customized": true,
                    "value": ""
                }
            },
            "class": "ExportSET",
            "module": "neuropype.nodes.fileio"
        },
        "printer": {
            "params": {
                "only_nonempty": {
                    "type": "BoolPort",
                    "customized": false,
                    "value": true
                }
            },
            "class": "PrintToConsole",
            "module": "neuropype.nodes.utilities"
        }
    },
    "edges": [
        [
            "importer",
            "data",
            "printer",
            "data"
        ],
        [
            "printer",
            "data",
            "exporter",
            "data"
        ]
    ]
}